Index: XIOS3/trunk/src/interface/fortran_attr/iaxis_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/iaxis_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/iaxis_attr.F90	(revision 2616)
@@ -12,8 +12,8 @@
 
   SUBROUTINE xios(set_axis_attr)  &
-    ( axis_id, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
-    , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
-    , value )
+    ( axis_id, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+    , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index  &
+    , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+    , unit, value )
 
     IMPLICIT NONE
@@ -25,4 +25,5 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds(:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_name
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_weight
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       INTEGER  , OPTIONAL, INTENT(IN) :: data_begin
@@ -52,16 +53,16 @@
       (axis_id,axis_hdl)
       CALL xios(set_axis_attr_hdl_)   &
-      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
-      , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
-      , value )
+      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+      , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index  &
+      , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+      , unit, value )
 
   END SUBROUTINE xios(set_axis_attr)
 
   SUBROUTINE xios(set_axis_attr_hdl)  &
-    ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
-    , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
-    , value )
+    ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+    , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index  &
+    , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+    , unit, value )
 
     IMPLICIT NONE
@@ -72,4 +73,5 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds(:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_name
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_weight
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       INTEGER  , OPTIONAL, INTENT(IN) :: data_begin
@@ -97,16 +99,16 @@
 
       CALL xios(set_axis_attr_hdl_)  &
-      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
-      , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
-      , value )
+      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+      , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index  &
+      , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+      , unit, value )
 
   END SUBROUTINE xios(set_axis_attr_hdl)
 
   SUBROUTINE xios(set_axis_attr_hdl_)   &
-    ( axis_hdl, axis_ref_, axis_type_, begin_, bounds_, bounds_name_, comment_, data_begin_, data_index_  &
-    , data_n_, dim_name_, formula_, formula_bounds_, formula_term_, formula_term_bounds_, index_  &
-    , label_, long_name_, mask_, n_, n_distributed_partition_, n_glo_, name_, positive_, prec_, standard_name_  &
-    , unit_, value_ )
+    ( axis_hdl, axis_ref_, axis_type_, begin_, bounds_, bounds_name_, chunking_weight_, comment_  &
+    , data_begin_, data_index_, data_n_, dim_name_, formula_, formula_bounds_, formula_term_, formula_term_bounds_  &
+    , index_, label_, long_name_, mask_, n_, n_distributed_partition_, n_glo_, name_, positive_  &
+    , prec_, standard_name_, unit_, value_ )
 
     IMPLICIT NONE
@@ -117,4 +119,5 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds_(:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_name_
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_weight_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment_
       INTEGER  , OPTIONAL, INTENT(IN) :: data_begin_
@@ -166,4 +169,9 @@
       ENDIF
 
+      IF (PRESENT(chunking_weight_)) THEN
+        CALL cxios_set_axis_chunking_weight &
+      (axis_hdl%daddr, chunking_weight_)
+      ENDIF
+
       IF (PRESENT(comment_)) THEN
         CALL cxios_set_axis_comment &
@@ -281,8 +289,8 @@
 
   SUBROUTINE xios(get_axis_attr)  &
-    ( axis_id, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
-    , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
-    , value )
+    ( axis_id, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+    , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index  &
+    , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+    , unit, value )
 
     IMPLICIT NONE
@@ -294,4 +302,5 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds(:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_name
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_weight
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_begin
@@ -321,16 +330,16 @@
       (axis_id,axis_hdl)
       CALL xios(get_axis_attr_hdl_)   &
-      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
-      , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
-      , value )
+      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+      , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index  &
+      , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+      , unit, value )
 
   END SUBROUTINE xios(get_axis_attr)
 
   SUBROUTINE xios(get_axis_attr_hdl)  &
-    ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
-    , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
-    , value )
+    ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+    , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index  &
+    , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+    , unit, value )
 
     IMPLICIT NONE
@@ -341,4 +350,5 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds(:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_name
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_weight
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_begin
@@ -366,16 +376,16 @@
 
       CALL xios(get_axis_attr_hdl_)  &
-      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
-      , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
-      , value )
+      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+      , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index  &
+      , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+      , unit, value )
 
   END SUBROUTINE xios(get_axis_attr_hdl)
 
   SUBROUTINE xios(get_axis_attr_hdl_)   &
-    ( axis_hdl, axis_ref_, axis_type_, begin_, bounds_, bounds_name_, comment_, data_begin_, data_index_  &
-    , data_n_, dim_name_, formula_, formula_bounds_, formula_term_, formula_term_bounds_, index_  &
-    , label_, long_name_, mask_, n_, n_distributed_partition_, n_glo_, name_, positive_, prec_, standard_name_  &
-    , unit_, value_ )
+    ( axis_hdl, axis_ref_, axis_type_, begin_, bounds_, bounds_name_, chunking_weight_, comment_  &
+    , data_begin_, data_index_, data_n_, dim_name_, formula_, formula_bounds_, formula_term_, formula_term_bounds_  &
+    , index_, label_, long_name_, mask_, n_, n_distributed_partition_, n_glo_, name_, positive_  &
+    , prec_, standard_name_, unit_, value_ )
 
     IMPLICIT NONE
@@ -386,4 +396,5 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds_(:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_name_
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_weight_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment_
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_begin_
@@ -435,4 +446,9 @@
       ENDIF
 
+      IF (PRESENT(chunking_weight_)) THEN
+        CALL cxios_get_axis_chunking_weight &
+      (axis_hdl%daddr, chunking_weight_)
+      ENDIF
+
       IF (PRESENT(comment_)) THEN
         CALL cxios_get_axis_comment &
@@ -550,8 +566,8 @@
 
   SUBROUTINE xios(is_defined_axis_attr)  &
-    ( axis_id, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
-    , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
-    , value )
+    ( axis_id, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+    , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index  &
+    , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+    , unit, value )
 
     IMPLICIT NONE
@@ -568,4 +584,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_name
       LOGICAL(KIND=C_BOOL) :: bounds_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_weight
+      LOGICAL(KIND=C_BOOL) :: chunking_weight_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: comment
       LOGICAL(KIND=C_BOOL) :: comment_tmp
@@ -616,16 +634,16 @@
       (axis_id,axis_hdl)
       CALL xios(is_defined_axis_attr_hdl_)   &
-      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
-      , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
-      , value )
+      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+      , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index  &
+      , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+      , unit, value )
 
   END SUBROUTINE xios(is_defined_axis_attr)
 
   SUBROUTINE xios(is_defined_axis_attr_hdl)  &
-    ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
-    , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
-    , value )
+    ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+    , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index  &
+    , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+    , unit, value )
 
     IMPLICIT NONE
@@ -641,4 +659,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_name
       LOGICAL(KIND=C_BOOL) :: bounds_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_weight
+      LOGICAL(KIND=C_BOOL) :: chunking_weight_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: comment
       LOGICAL(KIND=C_BOOL) :: comment_tmp
@@ -687,16 +707,16 @@
 
       CALL xios(is_defined_axis_attr_hdl_)  &
-      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index, label  &
-      , long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name, unit  &
-      , value )
+      ( axis_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+      , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, index  &
+      , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+      , unit, value )
 
   END SUBROUTINE xios(is_defined_axis_attr_hdl)
 
   SUBROUTINE xios(is_defined_axis_attr_hdl_)   &
-    ( axis_hdl, axis_ref_, axis_type_, begin_, bounds_, bounds_name_, comment_, data_begin_, data_index_  &
-    , data_n_, dim_name_, formula_, formula_bounds_, formula_term_, formula_term_bounds_, index_  &
-    , label_, long_name_, mask_, n_, n_distributed_partition_, n_glo_, name_, positive_, prec_, standard_name_  &
-    , unit_, value_ )
+    ( axis_hdl, axis_ref_, axis_type_, begin_, bounds_, bounds_name_, chunking_weight_, comment_  &
+    , data_begin_, data_index_, data_n_, dim_name_, formula_, formula_bounds_, formula_term_, formula_term_bounds_  &
+    , index_, label_, long_name_, mask_, n_, n_distributed_partition_, n_glo_, name_, positive_  &
+    , prec_, standard_name_, unit_, value_ )
 
     IMPLICIT NONE
@@ -712,4 +732,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_name_
       LOGICAL(KIND=C_BOOL) :: bounds_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_weight_
+      LOGICAL(KIND=C_BOOL) :: chunking_weight__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: comment_
       LOGICAL(KIND=C_BOOL) :: comment__tmp
@@ -787,4 +809,10 @@
       ENDIF
 
+      IF (PRESENT(chunking_weight_)) THEN
+        chunking_weight__tmp = cxios_is_defined_axis_chunking_weight &
+      (axis_hdl%daddr)
+        chunking_weight_ = chunking_weight__tmp
+      ENDIF
+
       IF (PRESENT(comment_)) THEN
         comment__tmp = cxios_is_defined_axis_comment &
Index: XIOS3/trunk/src/interface/fortran_attr/iaxisgroup_attr.F90
===================================================================
--- XIOS3/trunk/src/interface/fortran_attr/iaxisgroup_attr.F90	(revision 2614)
+++ XIOS3/trunk/src/interface/fortran_attr/iaxisgroup_attr.F90	(revision 2616)
@@ -12,7 +12,7 @@
 
   SUBROUTINE xios(set_axisgroup_attr)  &
-    ( axisgroup_id, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref, index  &
-    , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+    ( axisgroup_id, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+    , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref  &
+    , index, label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
     , unit, value )
 
@@ -25,4 +25,5 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds(:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_name
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_weight
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       INTEGER  , OPTIONAL, INTENT(IN) :: data_begin
@@ -53,7 +54,7 @@
       (axisgroup_id,axisgroup_hdl)
       CALL xios(set_axisgroup_attr_hdl_)   &
-      ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref, index  &
-      , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+      ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+      , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref  &
+      , index, label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
       , unit, value )
 
@@ -61,7 +62,7 @@
 
   SUBROUTINE xios(set_axisgroup_attr_hdl)  &
-    ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref, index  &
-    , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+    ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+    , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref  &
+    , index, label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
     , unit, value )
 
@@ -73,4 +74,5 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds(:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_name
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_weight
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment
       INTEGER  , OPTIONAL, INTENT(IN) :: data_begin
@@ -99,7 +101,7 @@
 
       CALL xios(set_axisgroup_attr_hdl_)  &
-      ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref, index  &
-      , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+      ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+      , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref  &
+      , index, label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
       , unit, value )
 
@@ -107,6 +109,6 @@
 
   SUBROUTINE xios(set_axisgroup_attr_hdl_)   &
-    ( axisgroup_hdl, axis_ref_, axis_type_, begin_, bounds_, bounds_name_, comment_, data_begin_  &
-    , data_index_, data_n_, dim_name_, formula_, formula_bounds_, formula_term_, formula_term_bounds_  &
+    ( axisgroup_hdl, axis_ref_, axis_type_, begin_, bounds_, bounds_name_, chunking_weight_, comment_  &
+    , data_begin_, data_index_, data_n_, dim_name_, formula_, formula_bounds_, formula_term_, formula_term_bounds_  &
     , group_ref_, index_, label_, long_name_, mask_, n_, n_distributed_partition_, n_glo_, name_  &
     , positive_, prec_, standard_name_, unit_, value_ )
@@ -119,4 +121,5 @@
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: bounds_(:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: bounds_name_
+      REAL (KIND=8) , OPTIONAL, INTENT(IN) :: chunking_weight_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: comment_
       INTEGER  , OPTIONAL, INTENT(IN) :: data_begin_
@@ -169,4 +172,9 @@
       ENDIF
 
+      IF (PRESENT(chunking_weight_)) THEN
+        CALL cxios_set_axisgroup_chunking_weight &
+      (axisgroup_hdl%daddr, chunking_weight_)
+      ENDIF
+
       IF (PRESENT(comment_)) THEN
         CALL cxios_set_axisgroup_comment &
@@ -289,7 +297,7 @@
 
   SUBROUTINE xios(get_axisgroup_attr)  &
-    ( axisgroup_id, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref, index  &
-    , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+    ( axisgroup_id, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+    , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref  &
+    , index, label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
     , unit, value )
 
@@ -302,4 +310,5 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds(:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_name
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_weight
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_begin
@@ -330,7 +339,7 @@
       (axisgroup_id,axisgroup_hdl)
       CALL xios(get_axisgroup_attr_hdl_)   &
-      ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref, index  &
-      , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+      ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+      , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref  &
+      , index, label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
       , unit, value )
 
@@ -338,7 +347,7 @@
 
   SUBROUTINE xios(get_axisgroup_attr_hdl)  &
-    ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref, index  &
-    , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+    ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+    , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref  &
+    , index, label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
     , unit, value )
 
@@ -350,4 +359,5 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds(:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_name
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_weight
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_begin
@@ -376,7 +386,7 @@
 
       CALL xios(get_axisgroup_attr_hdl_)  &
-      ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref, index  &
-      , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+      ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+      , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref  &
+      , index, label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
       , unit, value )
 
@@ -384,6 +394,6 @@
 
   SUBROUTINE xios(get_axisgroup_attr_hdl_)   &
-    ( axisgroup_hdl, axis_ref_, axis_type_, begin_, bounds_, bounds_name_, comment_, data_begin_  &
-    , data_index_, data_n_, dim_name_, formula_, formula_bounds_, formula_term_, formula_term_bounds_  &
+    ( axisgroup_hdl, axis_ref_, axis_type_, begin_, bounds_, bounds_name_, chunking_weight_, comment_  &
+    , data_begin_, data_index_, data_n_, dim_name_, formula_, formula_bounds_, formula_term_, formula_term_bounds_  &
     , group_ref_, index_, label_, long_name_, mask_, n_, n_distributed_partition_, n_glo_, name_  &
     , positive_, prec_, standard_name_, unit_, value_ )
@@ -396,4 +406,5 @@
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: bounds_(:,:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: bounds_name_
+      REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: chunking_weight_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: comment_
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_begin_
@@ -446,4 +457,9 @@
       ENDIF
 
+      IF (PRESENT(chunking_weight_)) THEN
+        CALL cxios_get_axisgroup_chunking_weight &
+      (axisgroup_hdl%daddr, chunking_weight_)
+      ENDIF
+
       IF (PRESENT(comment_)) THEN
         CALL cxios_get_axisgroup_comment &
@@ -566,7 +582,7 @@
 
   SUBROUTINE xios(is_defined_axisgroup_attr)  &
-    ( axisgroup_id, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref, index  &
-    , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+    ( axisgroup_id, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+    , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref  &
+    , index, label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
     , unit, value )
 
@@ -584,4 +600,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_name
       LOGICAL(KIND=C_BOOL) :: bounds_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_weight
+      LOGICAL(KIND=C_BOOL) :: chunking_weight_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: comment
       LOGICAL(KIND=C_BOOL) :: comment_tmp
@@ -634,7 +652,7 @@
       (axisgroup_id,axisgroup_hdl)
       CALL xios(is_defined_axisgroup_attr_hdl_)   &
-      ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref, index  &
-      , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+      ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+      , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref  &
+      , index, label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
       , unit, value )
 
@@ -642,7 +660,7 @@
 
   SUBROUTINE xios(is_defined_axisgroup_attr_hdl)  &
-    ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-    , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref, index  &
-    , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+    ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+    , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref  &
+    , index, label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
     , unit, value )
 
@@ -659,4 +677,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_name
       LOGICAL(KIND=C_BOOL) :: bounds_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_weight
+      LOGICAL(KIND=C_BOOL) :: chunking_weight_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: comment
       LOGICAL(KIND=C_BOOL) :: comment_tmp
@@ -707,7 +727,7 @@
 
       CALL xios(is_defined_axisgroup_attr_hdl_)  &
-      ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, comment, data_begin, data_index  &
-      , data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref, index  &
-      , label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
+      ( axisgroup_hdl, axis_ref, axis_type, begin, bounds, bounds_name, chunking_weight, comment, data_begin  &
+      , data_index, data_n, dim_name, formula, formula_bounds, formula_term, formula_term_bounds, group_ref  &
+      , index, label, long_name, mask, n, n_distributed_partition, n_glo, name, positive, prec, standard_name  &
       , unit, value )
 
@@ -715,6 +735,6 @@
 
   SUBROUTINE xios(is_defined_axisgroup_attr_hdl_)   &
-    ( axisgroup_hdl, axis_ref_, axis_type_, begin_, bounds_, bounds_name_, comment_, data_begin_  &
-    , data_index_, data_n_, dim_name_, formula_, formula_bounds_, formula_term_, formula_term_bounds_  &
+    ( axisgroup_hdl, axis_ref_, axis_type_, begin_, bounds_, bounds_name_, chunking_weight_, comment_  &
+    , data_begin_, data_index_, data_n_, dim_name_, formula_, formula_bounds_, formula_term_, formula_term_bounds_  &
     , group_ref_, index_, label_, long_name_, mask_, n_, n_distributed_partition_, n_glo_, name_  &
     , positive_, prec_, standard_name_, unit_, value_ )
@@ -732,4 +752,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: bounds_name_
       LOGICAL(KIND=C_BOOL) :: bounds_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: chunking_weight_
+      LOGICAL(KIND=C_BOOL) :: chunking_weight__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: comment_
       LOGICAL(KIND=C_BOOL) :: comment__tmp
@@ -809,4 +831,10 @@
       ENDIF
 
+      IF (PRESENT(chunking_weight_)) THEN
+        chunking_weight__tmp = cxios_is_defined_axisgroup_chunking_weight &
+      (axisgroup_hdl%daddr)
+        chunking_weight_ = chunking_weight__tmp
+      ENDIF
+
       IF (PRESENT(comment_)) THEN
         comment__tmp = cxios_is_defined_axisgroup_comment &
